
Redmine - Defect #7913

Add Another file to ticket doesn't work in Firefox

2011-03-17 21:16 - Cassiano Monteiro

Status: Closed Start date: 2010-07-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.1

Description

Still got this problem on Firefox. The link "Add another file" points to "http://localhost/redmine/projects/red/issues/new#" .

Using Redmine 1.1.1 (stable) on Firefox 3.6.15 32-bit, Windows XP 64-bit.

Recurrence from issue #5935.

History

#1 - 2011-03-17 23:17 - Etienne Massip

Can't reproduce.

The link is correct, though.

Could you describe the behavior with some more details, please ?

#2 - 2011-03-18 12:09 - Cassiano Monteiro

On any screen that has the link "add another file" (issues, wiki, etc.), when you click nothing happens. Even if I already have one file selected through

the "browse" button. That happens also on IE.

Here at the official Redmine (1.1.2 i think), when you click the link, another file box is shown, with another textbox for the file path and another

"browse" button.

#3 - 2011-03-18 12:21 - Etienne Massip

Do you have plugins installed, did you modify some javascript files ?

#4 - 2011-03-18 13:38 - Cassiano Monteiro

Plugins installed:

Redmine Attach Screenshot 0.0.4

Redmine Charts 0.1.0

Redmine Time Tracker 0.4

Stuff To Do 0.4.0

I didn´t do any modifications.

#5 - 2011-03-18 13:47 - Etienne Massip

Did you try to deactivate your plugins (specifically "Attach Screenshot") ?

#6 - 2011-03-18 14:47 - Cassiano Monteiro

You got it. I removed the plugin, and the link "add another file" worked. So actually it's not a Redmine bug, but a bug from the plugin. Sorry for not

having realized that before.

#7 - 2011-03-18 14:55 - Etienne Massip

- Status changed from New to Closed

- Resolution changed from Fixed to Invalid

No problem.
#8 - 2011-10-25 12:43 - Shaun Bader

SPAM

#9 - 2012-01-09 19:43 - Sri Ramireddy

Hello Guys,  I am using the redmine in  Safari and it still fails. I am Redmine 1.2.1 with the plugins- Stuff-to-do, To-dos, Redmine Backlogs and Wiki

Extensions.

I kinda feel 'Add Another file' doesn't work even before installing the plugins. Not sure if it is a bug with the Redmine version 1.2.1

#10 - 2012-01-09 19:44 - Sri Ramireddy

- Status changed from Closed to Reopened

#11 - 2013-04-17 21:19 - Anonymous

Redmine 2.3.0

Add another file link doesn't work in Firefox nor in IE.

Javascript method addFileField() seems to be absent.

In my case, the reason is most likely in ScreenShot plugin.

#12 - 2013-04-20 07:20 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

#13 - 2013-04-20 14:52 - Etienne Massip

- Status changed from Needs feedback to Closed

The file attachment behavior has been modified with 2.3.0 and this issue is no more applicable.
